# Uses of Interface
org.eclipse.microprofile.openapi.models.servers.Server

Packages that use Server
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3.1 documents from their Jakarta REST applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
org.eclipse.microprofile.openapi.models.links
An interface of a model to represent a design-time link for a response.
org.eclipse.microprofile.openapi.models.servers
Model interfaces to represent servers used for a single API operation or for all operations in an OpenAPI document, as well as a way to represent variables for server URL template substitution.

## Uses of Server in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return Server
Modifier and Type
Method
Description
`static Server`
OASFactory.`createServer()`
This method creates a new `Server` instance.
`default Server`
OASFilter.`filterServer(Server server)`
Allows filtering of a particular Server.
Methods in org.eclipse.microprofile.openapi with parameters of type Server
Modifier and Type
Method
Description
`default Server`
OASFilter.`filterServer(Server server)`
Allows filtering of a particular Server.

## Uses of Server in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return types with arguments of type Server
Modifier and Type
Method
Description
`List<Server>`
OpenAPI.`getServers()`
Returns the Servers defined in the API
`List<Server>`
Operation.`getServers()`
Returns the servers property from an Operation instance.
`List<Server>`
PathItem.`getServers()`
Returns the servers property from a PathItem instance.
Methods in org.eclipse.microprofile.openapi.models with parameters of type Server
Modifier and Type
Method
Description
`OpenAPI`
OpenAPI.`addServer(Server server)`
Adds the given server to this OpenAPI instance's list of servers.
`Operation`
Operation.`addServer(Server server)`
Adds the given server to this Operation's list of servers.
`PathItem`
PathItem.`addServer(Server server)`
Adds the given server to this PathItem's list of servers.
`void`
OpenAPI.`removeServer(Server server)`
Removes the given server to this OpenAPI instance's list of servers.
`void`
Operation.`removeServer(Server server)`
Removes the given server to this Operation's list of servers.
`void`
PathItem.`removeServer(Server server)`
Removes the given server to this PathItem's list of servers.
Method parameters in org.eclipse.microprofile.openapi.models with type arguments of type Server
Modifier and Type
Method
Description
`default OpenAPI`
OpenAPI.`servers(List<Server> servers)`
Sets this OpenAPI instance's servers property to the given servers.
`default Operation`
Operation.`servers(List<Server> servers)`
Sets this Operation's servers property to the given list.
`default PathItem`
PathItem.`servers(List<Server> servers)`
Sets this PathItem's servers property to the given list.
`void`
OpenAPI.`setServers(List<Server> servers)`
Sets this OpenAPI instance's servers property to the given servers.
`void`
Operation.`setServers(List<Server> servers)`
Sets this Operation's servers property to the given list.
`void`
PathItem.`setServers(List<Server> servers)`
Sets this PathItem's servers property to the given list.

## Uses of Server in org.eclipse.microprofile.openapi.models.links

Methods in org.eclipse.microprofile.openapi.models.links that return Server
Modifier and Type
Method
Description
`Server`
Link.`getServer()`
Returns the server property from a Link instance.
Methods in org.eclipse.microprofile.openapi.models.links with parameters of type Server
Modifier and Type
Method
Description
`default Link`
Link.`server(Server server)`
Sets this Link's server property to the given object.
`void`
Link.`setServer(Server server)`
Sets this Link's server property to the given object.

## Uses of Server in org.eclipse.microprofile.openapi.models.servers

Methods in org.eclipse.microprofile.openapi.models.servers that return Server
Modifier and Type
Method
Description
`Server`
Server.`addVariable(String variableName, ServerVariable variable)`
Adds the given server variable item to the Server's map of variables.
`default Server`
Server.`description(String description)`
This method sets the description property of a Server instance to the given description parameter and returns the modified instance.
`default Server`
Server.`url(String url)`
This method sets the url property of Server instance to the given url argument, representing a URL to the target host, and returns the modified instance.
`default Server`
Server.`variables(Map<String,ServerVariable> variables)`
This method sets the variables property of Server instance to the given variables argument and returns the modified instance.